Bug 25671 - [GTK] Implement support for set_caret_offset
Summary: [GTK] Implement support for set_caret_offset
Status: VERIFIED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks: 25531
  Show dependency treegraph
 
Reported: 2009-05-10 11:42 PDT by Joanmarie Diggs (irc: joanie)
Modified: 2009-06-10 16:26 PDT (History)
3 users (show)

See Also:


Attachments
setcaretoffset.patch (2.62 KB, patch)
2009-06-09 08:38 PDT, Xan Lopez
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2009-05-10 11:42:40 PDT
The accessible text interface includes a method which ATs can use to (re)position the caret as needed. For more information please see http://library.gnome.org/devel/atk/unstable/AtkText.html#atk-text-set-caret-offset.

Usage/need example: Screen reader users who have a refreshable braille display often review the text on the screen by panning/scrolling their display. If while doing so, they spot some text they wish to select, edit, whathaveyou, they can press a "cursor routing key" on their display. The AT in turn needs to use set_caret_offset to reposition the caret at the desired location.
Comment 1 Xan Lopez 2009-06-09 08:38:27 PDT
Created attachment 31095 [details]
setcaretoffset.patch

Implement the function.
Comment 2 Gustavo Noronha (kov) 2009-06-10 10:22:50 PDT
Comment on attachment 31095 [details]
setcaretoffset.patch

r=me
Comment 3 Xan Lopez 2009-06-10 10:28:55 PDT
Landed as r44571, closing as FIXED.
Comment 4 Joanmarie Diggs (irc: joanie) 2009-06-10 16:26:59 PDT
This seems to work quite nicely. Thanks! Marking as VERIFIED.